<template>
  <v-dialog v-model="dialog" persistent max-width="600px">
    <template v-slot:activator="{ on }">
      <v-btn color="primary" dark v-on="on">Add new society</v-btn>
    </template>
    <v-card>
      <v-card-title>
        <span class="headline">Add new society</span>
      </v-card-title>
      <v-card-text>
        <v-form @submit.prevent="add()">
          <v-text-field label="Name" v-model="societie.name"/>

          <v-text-field v-model="societie.description" label="Description"/>
          <v-text-field v-model="societie.content" label="Content"/>

         <v-menu
        v-model="menu2"
        :close-on-content-click="true"
        :nudge-right="40"
        lazy
        transition="scale-transition"
        offset-y
        full-width
        min-width="290px"
      >
        <template v-slot:activator="{ on }">
          <v-text-field
            v-model="societie.creationdate"
            label="Creation date"
            prepend-icon="event"
            readonly
            v-on="on"
          ></v-text-field>
        </template>
        <v-date-picker v-model="societie.creationdate" @input="menu = false"></v-date-picker>
      </v-menu>

          <v-text-field v-model="societie.type" name="type" label="Type"/>
          <v-text-field min=0 label="Employes" type="number" v-model="societie.employes"/>

          <v-btn fab color="primary" type="submit">
            <v-icon>add</v-icon>
          </v-btn>
        </v-form>

        <small>*indicates required field</small>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue darken-1" flat @click="dialog = false">OK</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  data() {
    return {
      dialog: false,
        menu: false,
         menu2: false,
      societie: {
        name: "",
        description: "",
        content: "",
        type: "",
        employes: 0,
        creationdate: new Date().toISOString().substr(0, 10),
        
      }
    };
  },
  methods: {
    add() {
      this.$store.dispatch("addSocietie", this.societie);
    }
  },
  computed: {
     computedDateFormatted () {
        return this.formatDate(this.creationdate)
      }
  },
};
</script>

<style>
</style>
